Last modified: 2011-01-07 20:25:09 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 26497 - printable=yes in broken in trunk
printable=yes in broken in trunk
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
ResourceLoader (Other open bugs)
1.18.x
All All
: Normal major (vote)
: ---
Assigned To: Trevor Parscal
:
Depends on:
Blocks: 26611
  Show dependency treegraph
 
Reported: 2010-12-30 09:10 UTC by Umherirrender
Modified: 2011-01-07 20:25 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Umherirrender 2010-12-30 09:10:08 UTC
The printable version is not shown, when using url with "printable=yes".

1.18alpha (r79241)

Thanks.
Comment 1 Derk-Jan Hartman 2010-12-30 10:44:21 UTC
Sounds like a bug of the new resourceloader.
Comment 2 Bawolff (Brian Wolff) 2010-12-30 11:23:55 UTC
[mid-air collision]
Changing component to resource loader.

It appears as if having ?printable=yes does not supress the @media print in the
css loaded by the resource loader, like it should.

The handheld=yes option is also broken
Comment 3 Bawolff (Brian Wolff) 2011-01-06 20:15:08 UTC
This should be fixed for 1.17 (or the printable links in the sidebar should be removed). Adding as blocking 1.17 tracking bug.
Comment 4 Roan Kattouw 2011-01-07 20:25:09 UTC
Fixed in r79839.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links